Bug 484577 - missing speech-dispatcher.scm
missing speech-dispatcher.scm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On: 628524
Blocks: 569531
  Show dependency treegraph
 
Reported: 2009-02-08 10:55 EST by Anil Seth
Modified: 2013-03-05 22:57 EST (History)
8 users (show)

See Also:
Fixed In Version: festival-freebsoft-utils-0.10-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 21:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Seth 2009-02-08 10:55:26 EST
Description of problem:

When I try to use festival from speech-dispatcher, the festival server reports an error:
SIOD ERROR: could not open file speech-dispatcher.scm

Shouldn't festival-freebsoft-utils be included in the repository?

Version-Release number of selected component (if applicable):
festival-1.96-6.fc10.x86_64
speech-dispatcher-0.6.6-18.fc10.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.festival --server
2.make festival the default module in /etc/speech-dispatcher/speechd.conf
3.speech-dispatcher -d
4.spd-say "Hello world"
  
Actual results:
reports the error above

Expected results:
should speak the phrase


Additional info:
Comment 1 Richard Schwarting 2009-03-24 18:55:32 EDT
Yes. 

I had to download festival-freebsoft-utils from http://www.freebsoft.org/festival-freebsoft-utils and add start the server manually to get speech-dispatcher to work with festival.

In #orca, they say that in the future, the idea is to migrate away from gnome-speech in GNOME (especially with the deprecation of bonobo) to Speech Dispatcher, so it would be nice if Speech Dispatcher was packaged with everything necessary to work well.
Comment 2 Bug Zapper 2009-11-18 07:45:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard Schwarting 2009-11-25 05:12:36 EST
Could someone update the version to 12?  

I'll note that GNOME seems to at present be intending on migrating to Speech Dispatcher from ORCA as part of their KillBonobo murder spree.  Ensuring Speech Dispatcher can be set up to use the wider range of quality voices provided by festival seems important, especially in light of GNOME's plans.
Comment 4 Bug Zapper 2009-12-18 02:51:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Justin 2010-07-09 10:32:43 EDT
Reproduced this bug in Fedora 13 after working around part of bug 569531.
It should not have been EOLed with Fedora 10 without checking to see that
it was fixed in subsequent versions.
Comment 6 Rex Dieter 2010-07-10 06:56:49 EDT
Re-opening based on comment #5
Comment 7 Fedora Update System 2010-09-27 23:58:02 EDT
festival-freebsoft-utils-0.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc13
Comment 8 Fedora Update System 2010-09-27 23:58:15 EDT
festival-freebsoft-utils-0.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc14
Comment 9 Fedora Update System 2010-09-27 23:58:50 EDT
festival-freebsoft-utils-0.10-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc12
Comment 10 Fedora Update System 2010-09-28 13:30:37 EDT
festival-freebsoft-utils-0.10-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update festival-freebsoft-utils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/festival-freebsoft-utils-0.10-1.fc14
Comment 11 Fedora Update System 2010-10-05 21:27:52 EDT
festival-freebsoft-utils-0.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-10-08 16:37:37 EDT
festival-freebsoft-utils-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-10-08 16:51:03 EDT
festival-freebsoft-utils-0.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.